package com.huashe.park.core.mapper;

import com.huashe.park.domain.entity.ParkInspectTask;

import java.util.List;

/**
 * 巡检任务Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-07
 */
public interface ParkInspectTaskMapper 
{
    /**
     * 查询巡检任务
     * 
     * @param id 巡检任务主键
     * @return 巡检任务
     */
    public ParkInspectTask selectParkInspectTaskById(Long id);

    /**
     * 查询巡检任务列表
     * 
     * @param parkInspectTask 巡检任务
     * @return 巡检任务集合
     */
    public List<ParkInspectTask> selectParkInspectTaskList(ParkInspectTask parkInspectTask);

    /**
     * 新增巡检任务
     * 
     * @param parkInspectTask 巡检任务
     * @return 结果
     */
    public int insertParkInspectTask(ParkInspectTask parkInspectTask);

    /**
     * 修改巡检任务
     * 
     * @param parkInspectTask 巡检任务
     * @return 结果
     */
    public int updateParkInspectTask(ParkInspectTask parkInspectTask);

    /**
     * 删除巡检任务
     * 
     * @param id 巡检任务主键
     * @return 结果
     */
    public int deleteParkInspectTaskById(Long id);

    /**
     * 批量删除巡检任务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteParkInspectTaskByIds(Long[] ids);
}
